# python-djvulibre 0.9.0 documentation

## Document files

class djvu.decode.DocumentFiles

  Component files of a document.

  Use `Document.files` to obtain instances of this class.

  File indexing is zero-based, i.e. `files``[0]` stands for the first file.

  `len(files)` might raise `NotAvailable` when called before receiving a `DocInfoMessage`.

class djvu.decode.File

  Component file of a document.

  Use `Document.files``[N]` to obtain instances of this class.

  document
    Return type:

      `Document`

  n
    Returns:

      the component file number.

    File indexing is zero-based, i.e. 0 stands for the very first file.

  get_info([wait=1])

    Attempt to obtain information about the component file.

    If wait is true, wait until the information is available.

    Raises:

      - NotAvailable – if the information is not available.

      - JobFailed – on failure.

  type
    Returns:

      the type of the compound file.

    The following types are possible:

    > FILE_TYPE_PAGE
    > FILE_TYPE_THUMBNAILS
    > FILE_TYPE_INCLUDE

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  n_page
    Returns:

      the page number, or `None` when not applicable.

    Page indexing is zero-based, i.e. 0 stands for the very first page.

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  page
    Returns:

      the page, or `None` when not applicable.

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  size
    Returns:

      the compound file size, or `None` when unknown.

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  id
    Returns:

      the compound file identifier, or `None`.

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  name
    Returns:

      the compound file name, or `None`.

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  title
    Returns:

      the compound file title, or `None`.

    Raises:

      - NotAvailable – see `get_info()`.

      - JobFailed – on failure.

  dump
    Returns:

      a text describing the contents of the file using the same format as the `djvudump` command.

    If the information is not available, raise `NotAvailable` exception. Then, `PageInfoMessage` messages with empty `page_job` may be emitted.

    Raises:

      NotAvailable – see above.